#include <sourcemod>
#include <cstrike>
#include <sdktools_functions>

new Handle:h_cvar_botname;
new String:bot_name[MAX_NAME_LENGTH];

public Plugin:myinfo =
{
	name = "Bot Prefix (only T)",
	author = "Vitamin",
	description = "This Plugin Change name only for Terrorists bots (great for Zombie Riot plugin)",
	version = "1.0",
	url = "world-source.ru && www.hlmod.ru"
};

public OnPluginStart()
{
	h_cvar_botname = CreateConVar("bot_prefix_t", "", "Set Prefix Name on Terrorists Bots");
	HookEvent("player_team", Hook_PlayerTeam);
	HookConVarChange(h_cvar_botname, BotName_CallBack);
}

public BotName_CallBack(Handle:convar, const String:oldValue[], const String:newValue[])
{
	for (new i_client = 1; i_client <= GetClientCount(); i_client++)
	{
		if (IsClientInGame(i_client) && IsFakeClient(i_client) && GetClientTeam(i_client) == CS_TEAM_T)
		{
			if (strlen(oldValue) == 0)
			{
				Format(bot_name, sizeof(bot_name), "%s %N", newValue, i_client)
				SetClientInfo(i_client, "name", bot_name);
			}
			else if (strlen(newValue) == 0)
			{
				ReplaceString(bot_name, sizeof(bot_name), oldValue, newValue);
				TrimString(bot_name);
				SetClientInfo(i_client, "name", bot_name);
			}
			else if (strlen(newValue) != 0 && strlen(oldValue) != 0 && StrContains(oldValue, bot_name))
			{
				ReplaceString(bot_name, sizeof(bot_name), oldValue, newValue);
				SetClientInfo(i_client, "name", bot_name);
			}
		}
	}
}

public Hook_PlayerTeam(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	decl String:bot_prefix[16];
	GetConVarString(h_cvar_botname, bot_prefix, sizeof(bot_prefix));
	if (GetEventInt(event, "team") == CS_TEAM_T && IsFakeClient(client) && strlen(bot_prefix) != 0)
	{
		Format(bot_name, sizeof(bot_name), "%s %N", bot_prefix, client);
		SetClientInfo(client, "name", bot_name);
	}
}